# -*- encoding: utf-8 -*-
# stub: mastercard_psp_payment 1.2.0 ruby lib

Gem::Specification.new do |s|
  s.name = "mastercard_psp_payment".freeze
  s.version = "1.2.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Mastercard".freeze]
  s.date = "2018-08-30"
  s.description = "SDK for Payment Service Provider(PSP) to make payments. See https://developer.mastercard.com".freeze
  s.email = ["merchant_support@masterpass.com".freeze]
  s.extra_rdoc_files = ["LICENSE.txt".freeze, "README.md".freeze]
  s.files = ["LICENSE.txt".freeze, "README.md".freeze]
  s.homepage = "https://developer.mastercard.com/documentation/masterpass-integration-psp/v7-Service-Providers".freeze
  s.licenses = ["Mastercard".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.2.4".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Masterpass Payment Service Provider(PSP) Payment SDK".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<mastercard_core_sdk>.freeze, ["~> 2.0", ">= 2.0.0"])
    s.add_runtime_dependency(%q<typhoeus>.freeze, ["~> 0.8", ">= 0.8.0"])
    s.add_runtime_dependency(%q<json>.freeze, ["~> 1.8", ">= 1.8.3"])
    s.add_runtime_dependency(%q<roxml>.freeze, ["~> 3.3", ">= 3.3.1"])
    s.add_runtime_dependency(%q<logging>.freeze, ["~> 2.1", ">= 2.1.0"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.0"])
  else
    s.add_dependency(%q<mastercard_core_sdk>.freeze, ["~> 2.0", ">= 2.0.0"])
    s.add_dependency(%q<typhoeus>.freeze, ["~> 0.8", ">= 0.8.0"])
    s.add_dependency(%q<json>.freeze, ["~> 1.8", ">= 1.8.3"])
    s.add_dependency(%q<roxml>.freeze, ["~> 3.3", ">= 3.3.1"])
    s.add_dependency(%q<logging>.freeze, ["~> 2.1", ">= 2.1.0"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.0"])
  end
end
